/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

// Position names
$positions: static, relative, absolute, fixed, sticky;

@each $position in $positions {
  .nv-position-#{$position} {
    position: $position !important;
  }
}

// Shorthand

.nv-fixed-top {
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: $zindex-fixed;
}

.nv-fixed-bottom {
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  z-index: $zindex-fixed;
}

.nv-sticky-top {
  position: sticky;
  top: 0;
  z-index: $zindex-sticky;
}

.nv-absolute-top {
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  z-index: $zindex-fixed;
}

.nv-top-0 {
  top: 0;
}

.nv-bottom-0 {
  bottom: 0;
}

.nv-left-0 {
  left: 0;
}

.nv-right-0 {
  right: 0;
}
